POST
Get account resources
Retrieves bandwidth and energy resource information for TRON addresses
Path Params
-
coinstring requiredCoin or token identifier (e.g. trx, ttrx:usdt) -
walletIdstring requiredWallet ID to retrieve account resources for
Body Params
object
List of TRON addresses to retrieve resource information for
Optional destinationAddress is used only for token energy deficit calculation.
-
addressesarray of strings required -
destinationAddressstringOptional destination address for resource deficit calculation
Responses
200
OK
Response Body
object
-
resourcesarray of objects requiredresources object
-
addressstring requiredTRON address these resource and usage fields belong to -
freeBandwidthAvailablenumber requiredSpendable free bandwidth remaining -
freeBandwidthUsednumber required -
stakedBandwidthAvailablenumber required -
stakedBandwidthUsednumber required -
energyAvailablenumber required -
energyUsednumber required -
resourceDeficitForAssetTransferobjectShared TRON account-resource response codecs used by getAccount and getAccountResources. Request bodies stay in each route file so OpenAPI keeps per-operation @title / description.resourceDeficitForAssetTransfer object
-
bandwidthDeficitnumber required -
bandwidthSunRequiredstring required -
energyDeficitnumber -
energySunRequiredstring
-
-
maxResourcesDelegatableobjectmaxResourcesDelegatable object
-
bandwidthSunstring required -
energySunstring required
-
-
TotalNetLimitnumberLive total network bandwidth limit (same value for all addresses) -
TotalNetWeightnumberLive total staked TRX for bandwidth (same value for all addresses) -
TotalEnergyLimitnumberLive total network energy limit (same value for all addresses) -
TotalEnergyWeightnumberLive total staked TRX for energy (same value for all addresses)
-
-
failedAddressesarray of objects requiredfailedAddresses object
-
addressstring required -
errorstring required
-
400
Bad Request
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
404
Not Found
Response Body
object
Wallet does not exist, or the caller has no view access to it
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
500
Internal Server Error
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id